-- parameter in cm
spacer_length = 0.2
length = 0.2
height =  0.045
radius = height/4.0
nHeight = 100
dx = height/nHeight
nLength = math.ceil(length/dx) 
--length = 2.2
nLength_bnd = 2*nLength+4
level = math.ceil(math.log(nLength_bnd)/math.log(2))
length_bnd = (2^level)*dx
--length_bnd = length
--level = 12
--dx = length_bnd/2^level
--nLength = math.ceil(length/dx)
--nHeight = math.ceil(height/dx)

dx_half = dx*0.5
zpos = dx_half
sph1 = {spacer_length/4.0,height/4.0,zpos}
sph2 = {3.*spacer_length/4.0,3*height/4.0,zpos}
Dia = radius*2.0

--flow parameters
u_mean_phy = 3.5*1e2 --m/s
u_in_phy = u_mean_phy*3.0/2.0
nu_phy = 1.05e-6 *1e4--m^2/s
rho0_p = 1.0

nL = math.ceil(Dia/dx)
Re = u_mean_phy*Dia/nu_phy
-- set true for acoustic scaling, false for diffusive scaling
acoustic_scaling = true

if acoustic_scaling == true then
--acoustic scaling
  u_in_L = 0.01
  dt = u_in_L*dx/u_in_phy
  u_mean_L = 2.0*u_in_L/3.0
--  nu_L = u_mean_L*nL/Re
  nu_L = nu_phy*dt/dx^2.
  omega = 1.0/(3.0*nu_L+0.5)
else
--diffusive scaling
  omega = 1.9
  nu_L = (1.0/omega-0.5)/3.0
  dt = nu_L*dx^2/nu_phy
  u_mean_L = Re*nu_L/nL
  u_in_L = 3.0*u_mean_L/2.0
end

--nSteps = math.ceil(dx/dt*nLength*10)
nSteps =  200000

subprefix = 'nH'..nHeight..'/'
--subprefix = 'level'..level..'/'
