# export the case stent or porous
case='porous'
import os
os.environ['case']=case
localfolder = '/Network/Servers/grsacx01.grs.rwth-aachen.de/Volumes/home/hasert/'
# path_to_lib is must                                                                #
path_to_lib = localfolder+'repo/apes/shepherd/lib/'                                             #
prod_dir = 'prod'
#-------------------------------------------------------------------------------
seeder_template = 'seeder.template'
run_preproc_exec = True
path_to_preproc_exec = localfolder+'repo/apes/seeder/build/seeder'
seeder_params = [ ["level",0,1], 
                  ["refine", 0]
                ]
run_command_preproc = path_to_preproc_exec
#-------------------------------------------------------------------------------
										     
lua_template = 'musubi.template'
run_solver_exec = False
path_to_solver_exec = localfolder+'repo/musTest/build/musubi'
lua_params = [[ "u0LB", 
                0.0003],
              ["dp", 
              #0.001, 0.1, 1., 10., 50, 100, 500, 1000],
              0.1],
               #1000, 5000],
              ["scaling", 
               'diffusive'],
              ["omega", 
               1.95],
              ["rel", 
               'mrt'],
              ["model", 
              'lbm_incomp']
             ]

run_command_solver = path_to_solver_exec

#-------------------------------------------------------------------------------
# md5sum verification



#-------------------------------------------------------------------------------
#IMP: Put Lua_File, path_to_exec  only if you want to generate 
#JUST THE JOBSCRIPTS and nothing else 
#----------------------------------------------------									     
#Lua_File = 'musubi.lua'
#path_to_exec ='some_path' 
#----------------------------------------------------

jobscript_template = 'quelea.template'
submit_job = True
sub_command = 'sbatch'
job_params = [  [ "NP_NODE",
                   1
                ] ]
additional_par=dict(mail = 'm.hasert@grs-sim.de', select_case = case, time = '10:00:00')
#-------------------------------------------------------------------------------
