# export the case stent or porous
import os
os.environ['case']='stentPeri'
localfolder = '/Network/Servers/grsacx01.grs.rwth-aachen.de/Volumes/home/grszimny/'
# path_to_lib is must                                                             #
path_to_lib = localfolder+'apes/shepherd/lib/'                                    #
prod_dir = 'prod_peri_stent'
#-------------------------------------------------------------------------------
seeder_template = 'seeder.template'
run_preproc_exec = False
path_to_preproc_exec = localfolder+'apes/seeder/build/seeder'
#seeder_params = [ ["level",0,1,2,3,4], 
seeder_params = [ ["level",4], 
                  ["refine", 0]
                ]
run_command_preproc = path_to_preproc_exec
#-------------------------------------------------------------------------------
										     
lua_template = 'musubi.template'
run_solver_exec = False
path_to_solver_exec = localfolder+'apes/musubi/build/musubi'
lua_params = [[ "u0LB", 
                0.0001],
              ["dp", 
              0.001, 0.1, 1.0],
#              0.001],
              ["scaling", 
               'diffusive'],
              ["omega", 
               1.7],
              ["rel", 
              'bgk', 'trt'],
#              'bgk'],
              ["model", 
              'lbm_incomp']
             ]

run_command_solver = 'mpirun -np 4'

#-------------------------------------------------------------------------------
# md5sum verification



#-------------------------------------------------------------------------------
#IMP: Put Lua_File, path_to_exec  only if you want to generate 
#JUST THE JOBSCRIPTS and nothing else 
#----------------------------------------------------									     
#Lua_File = 'musubi.lua'
#path_to_exec ='some_path' 
#----------------------------------------------------

jobscript_template = 'quelea.template'
submit_job = True
sub_command = 'sbatch'
job_params = [  [ "NP_NODE",
                   8
                ] ]
additional_par=dict(mail = 's.zimny@grs-sim.de', select_case = 'stentPeri', time = '48:00:00')
#-------------------------------------------------------------------------------
