import math
import os

# User defined 
viscosity= 0.00001
rho0      = 1.0
length    = 0.000806
poresize  = 0.000080


#-----------------------------------------------------------------------
plot  = []
show_plot = True

files = ['*_probe_*.res' ]
resultFolder = 'prod_dpStudy_uLB'

folders = []
# Set up the list of simulation folders in the results directory
for dirname, dirnames, filenames in os.walk(resultFolder):
  isSimDir = False
  # if I find tracking as subdirectory, mark as a simulation directory
  if 'tracking' in dirnames:
    isSimDir = True
  # if it was marked as a simulation directory, append it to the folder list
  if isSimDir:
    folders.append(dirname)

print 'Found simulation folders:'
print folders

# directory loop
for iFolder in range(len(folders)):
  print 'acting on folder', folders[iFolder], files[0]
  ## xy plot 
  plot.append(dict(kind = 'xy',
              data=[folders[iFolder]+'/tracking/'+files[0]],
             row=[1,-1],col=[1,2], startplot = True, endplot = True,
             label  = 'probe'  ))

#plot.append(dict(kind = 'xy',data=['tracking/2D_line_p00000_t00000001.000E+03.res'],
#           row=[1,-1],col=[1,5], startplot = True,
#           convertPhy = True, xfac = 1.0, yfac = dx/dt, endplot = True, label = 'velocity plot', 
#           format = 'eps', figname = 'yvelplot', dpi=100, title = 'Name of plot', titlesize = 12))



