-- this file display the important parameters
require 'common'

print("-------------------------------------------")
print("Simulation parameters:")
print(" Scheme kind:   "..kind)
print(" Scheme layout: "..layout)
print("")
print("Flow parameters:")
print(" Reynolds  = "..Re)
print(" Womersley = "..alpha)
print(" Stokes layer thickness = "..stokes)
print(" Angular Frequency (rad/s) = "..w)
print(" Period (s) = "..T)
print(" Number of Periods for this simulation = "..nT)
print(" Tocs          = "..TLB)
print(" Ts (Nx/Cs)    = "..Ts)
print(" Tmom (H*H/nu) = "..Tmom)
print(" Mach = "..Mach)
print("")
print("Geometry:")
print(" Level = "..level)
print(" dx = "..dx)
print(" dt = "..dt)
print(" length = "..length)
print(" height = "..height)
print("")
print("LB Parameters")
print(" length = "..lx)
print(" height = "..ly)
print(" tmaxLB = "..tmaxLB)
print(" Omega  = "..omega)
print(" nuLB   = "..nuLB)
print(" dpLB   = "..dpLB)
print("")
print("Physical Parameters")
print(" tmaxPhy = "..tmaxPhy )
print(" density = "..densityPhy )
print(" nuPhy = "..nuPhy )
print(" velMaxPhy = "..velMaxPhy )
print(" pressure gradient = "..dp_dx )
print(" Pressure @ outlet = "..p0Phy )
print("-------------------------------------------")

