-- This is a sample Musubi configuration file in lua format
-- 
-- WARNING!!!
-- LEAVE THIS FILE UNCHANGED IN THE REPOSITORY
-- 
-- Thank you!
--
--

-- load lua variables from simParam.lua
require "simParam"

-- simulation paramters
scaling = "diffusive"
io_buffer_size = 1

-- communication pattern
--isend_irecv_overlap gathered_type isend_irecv typed_isend_irecv
commpattern = 'isend_irecv'
-- Simulation name
simulation_name = 'multispecies'
mesh = 'mesh/'

-- Interpolation method
-- average, copyfirst, linear, debug
interpolation_method = 'average'                   
debug = {debugMode = true, debugFiles = true}

-- Time step settings
sim_control = {
  time_control = {
    min= {iter = 1},
     max = {iter =tmax},
      interval = {iter = tmax/10}
       }
     }

-- scheme model for single fluid simulation
scheme = {scheme_fluid,scheme_mix}
scheme = {scheme_fluid}
scheme = {scheme_mix}

